## barrnap 0.9+dfsg

=== Makefile ===

EXE=barrnap

.PHONY: database test help clean tarball

help:
#	@echo "make database    # rebuild the pressed HMM files"
	@echo "make test        # run a short test to see if it works"
	@echo "make bigtest     # run a big test on each kingdom"
	@echo "make clean       # remove useless files"
	@echo "make tarball     # [Developer only]"

	
#database:
#	v2.0
#	cd db && cat *.hmm > $(EXE).hmm && hmmpress $(EXE).hmm && rm -f $(EXE).hmm
#	v3.0
#	cd db && hmmpress bacteria.hmm && hmmpress archaea.hmm
	
test:
	./bin/$(EXE) examples/small.fna

bigtest:
	./bin/$(EXE) --kingdom bac  examples/bacteria.fna
	./bin/$(EXE) --kingdom arc  examples/archaea.fna
	./bin/$(EXE) --kingdom euk  examples/fungus.fna
	./bin/$(EXE) --kingdom mito examples/mitochondria.fna
	
	
clean:
	rm -f *~ core foo DEADJOE

TARNAME=$(shell bin/$(EXE) --version 2>&1 | sed 's/ /-/')	
TGZ=/tmp/$(strip $(TARNAME)).tar.gz

tarball: clean
	rm -fr /tmp/$(TARNAME)
	rm -f $(TGZ)
	mkdir /tmp/$(TARNAME)
	cp -rv LICENSE* Makefile README.md bin binaries db examples /tmp/$(TARNAME)
	tar -C /tmp -zcvf $(TGZ) $(TARNAME)
	rm -fr /tmp/$(TARNAME)
	ls -lsa $(TGZ)

## barrnap 0.7%2Bdfsg

=== debian/control ===
Source: barrnap
Priority: optional
Section: science
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Sascha Steinbiss <sascha@steinbiss.name>
Build-Depends: debhelper (>= 9.0.0), hmmer (>= 3.1), lua5.1
Standards-Version: 3.9.7
Homepage: http://www.vicbioinformatics.com/software.barrnap.shtml
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/barrnap.git
Vcs-Git: https://anonscm.debian.org/git/debian-med/barrnap.git

Package: barrnap
Architecture: all
Depends: ${perl:Depends}, ${shlibs:Depends}, ${misc:Depends}, hmmer (>= 3.1)
Description: rapid ribosomal RNA prediction
 Barrnap (BAsic Rapid Ribosomal RNA Predictor) predicts the location of
 ribosomal RNA genes in genomes. It supports bacteria (5S,23S,16S), archaea
 (5S,5.8S,23S,16S), mitochondria (12S,16S) and eukaryotes (5S,5.8S,28S,18S).
 .
 It takes FASTA DNA sequence as input, and writes GFF3 as output. It uses the
 NHMMER tool that comes with HMMER 3.1 for HMM searching in RNA:DNA style.
 Multithreading is supported and one can expect roughly linear speed-ups
 with more CPUs.

## barrnap 0.7+dfsg

=== debian/changelog ===
barrnap (0.7+dfsg-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Afif Elghraoui <afif@debian.org>  Thu, 10 Mar 2016 07:04:27 -0800

barrnap (0.7+dfsg-1) unstable; urgency=low

  * New upstream release.
  * Remove Suggests: to non-existent barrnap=data-nonfree package

 -- Sascha Steinbiss <sascha@steinbiss.name>  Wed, 29 Jul 2015 18:05:14 +0000

barrnap (0.5+dfsg-1) unstable; urgency=low

  * Initial release (Closes: #769641)

 -- Sascha Steinbiss <sascha@steinbiss.name>  Sat, 31 Jan 2015 10:12:42 +0000

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,13 @@
 Priority: optional
 Section: science
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Sascha Steinbiss <sascha@steinbiss.name>
+Uploaders: Sascha Steinbiss <sascha@steinbiss.name>,
+	   Afif Elghraoui <afif@debian.org>
 Build-Depends: debhelper (>= 9.0.0), hmmer (>= 3.1), lua5.1
-Standards-Version: 3.9.7
+Standards-Version: 3.9.6
 Homepage: http://www.vicbioinformatics.com/software.barrnap.shtml
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/barrnap.git
-Vcs-Git: https://anonscm.debian.org/git/debian-med/barrnap.git
+Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/barrnap/trunk/
+Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/barrnap/trunk/
 
 Package: barrnap
 Architecture: all

## barrnap 0.8+dfsg

=== debian/changelog ===
barrnap (0.8+dfsg-2) unstable; urgency=medium

  * Upload to unstable.

 -- Sascha Steinbiss <satta@debian.org>  Sun, 18 Jun 2017 10:34:08 +0000

barrnap (0.8+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Adjust maintainer email address.
  * Bump Standards-Version.

 -- Sascha Steinbiss <satta@debian.org>  Sun, 09 Apr 2017 08:34:19 +0000

barrnap (0.7+dfsg-2) unstable; urgency=medium

  [Afif Elghraoui]
  * Bump Standards-Version.
  * Use secure Vcs-Git.
  * Migrate to git.

  [Sascha Steinbiss]
  * Add autopkgtest.
  * Add overrides for pedantic Lintian msgs.

 -- Sascha Steinbiss <sascha@steinbiss.name>  Fri, 11 Mar 2016 21:32:52 +0000

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,12 @@
 Priority: optional
 Section: science
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Sascha Steinbiss <sascha@steinbiss.name>,
-	   Afif Elghraoui <afif@debian.org>
+Uploaders: Sascha Steinbiss <satta@debian.org>
 Build-Depends: debhelper (>= 9.0.0), hmmer (>= 3.1), lua5.1
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://www.vicbioinformatics.com/software.barrnap.shtml
-Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/barrnap/trunk/
-Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/barrnap/trunk/
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/barrnap.git
+Vcs-Git: https://anonscm.debian.org/git/debian-med/barrnap.git
 
 Package: barrnap
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

DH_VERBOSE=1
DEBVERS := $(shell dpkg-parsechangelog | sed -n -e 's/^Version: //p')
VERSION := $(shell echo '$(DEBVERS)' | sed -e 's/^[[:digit:]]*://' -e 's/[~-].*//')
OVERSION := $(shell echo '$(DEBVERS)' | sed -e 's/^[[:digit:]]*://' -e 's/[+].*//')

%:
	dh $@ --parallel

override_dh_auto_build:
	# pass

override_dh_auto_install:
	# pass

override_dh_auto_clean:
	rm -rf db/free

get-orig-source:
	uscan --verbose --force-download --repack --compression xz --destdir=..
	unxz ../barrnap_$(OVERSION).orig.tar.xz
	mkdir -p debian/repack-tmp
	tar xf ../barrnap_$(OVERSION).orig.tar -C debian/repack-tmp
	rm ../barrnap_$(OVERSION).orig.tar
	mkdir -p debian/repack-tmp/barrnap-$(OVERSION)/db/free
	debian/filter_hmms.lua 28S < \
    debian/repack-tmp/barrnap-$(OVERSION)/db/euk.hmm > \
    debian/repack-tmp/barrnap-$(OVERSION)/db/free/euk.hmm
	debian/filter_hmms.lua 23S < \
    debian/repack-tmp/barrnap-$(OVERSION)/db/arc.hmm > \
    debian/repack-tmp/barrnap-$(OVERSION)/db/free/arc.hmm
	debian/filter_hmms.lua 23S < \
    debian/repack-tmp/barrnap-$(OVERSION)/db/bac.hmm > \
    debian/repack-tmp/barrnap-$(OVERSION)/db/free/bac.hmm
	mv debian/repack-tmp/barrnap-$(OVERSION)/db/free/euk.hmm \
    debian/repack-tmp/barrnap-$(OVERSION)/db/euk.hmm
	mv debian/repack-tmp/barrnap-$(OVERSION)/db/free/bac.hmm \
    debian/repack-tmp/barrnap-$(OVERSION)/db/bac.hmm
	mv debian/repack-tmp/barrnap-$(OVERSION)/db/free/arc.hmm \
    debian/repack-tmp/barrnap-$(OVERSION)/db/arc.hmm
	rm -rf debian/repack-tmp/barrnap-$(OVERSION)/db/free
	tar cf ../barrnap_$(VERSION).orig.tar -C debian/repack-tmp barrnap-$(OVERSION)
	xz ../barrnap_$(VERSION).orig.tar
	rm -rf debian/repack-tmp

## barrnap 0.9%2Bdfsg

=== debian/changelog ===
barrnap (0.9+dfsg-2) unstable; urgency=medium

  * Add references to conda (Thanks Steffen Moeller).
  * Fix EDAM syntax (Thanks Andreas Tille).
  * Bump Standards-Version.
  * Use debhelper-compat 12.
  * Use fixed /usr/bin/perl in executable.
  * Add missing DEP-12 fields.

 -- Sascha Steinbiss <satta@debian.org>  Fri, 17 Apr 2020 11:47:50 +0200

barrnap (0.9+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Use secure d/copyright format link.
  * Bump compat level to 11.
  * Use Salsa Vcs-*.
  * Adjust Lintian overrides.
  * Remove obsolete --parallel.

 -- Sascha Steinbiss <satta@debian.org>  Mon, 07 May 2018 15:18:43 +0200

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 OVERSION := $(shell echo '$(DEBVERS)' | sed -e 's/^[[:digit:]]*://' -e 's/[+].*//')
 
 %:
-	dh $@ --parallel
+	dh $@
 
 override_dh_auto_build:
 	# pass

## barrnap 0.9+dfsg

=== debian/changelog ===
barrnap (0.9+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Restrict test architectures to those where hmmer is available
    since the package Depends: hmmer
  * debhelper-compat 13 (routine-update)
  * Drop useless get-orig-source target (routine-update)
  * Do not parse d/changelog (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Repository, Repository-Browse.
  * Deactivate complex and error-prone dh_auto_clean override
  * Remove invalid lintian-override
  * Standards-Version: 4.6.2 (routine-update)
  * Update renamed lintian tag names in lintian overrides.
  * watch file standard 4 (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 19 Jan 2023 14:27:50 +0100

=== debian/control ===
Source: barrnap
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Sascha Steinbiss <satta@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13),
               hmmer,
               lua5.1,
               bedtools
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/med-team/barrnap
Vcs-Git: https://salsa.debian.org/med-team/barrnap.git
Homepage: http://www.vicbioinformatics.com/software.barrnap.shtml
Rules-Requires-Root: no

Package: barrnap
Architecture: all
Depends: ${perl:Depends},
         ${shlibs:Depends},
         ${misc:Depends},
         hmmer,
         bedtools
Description: rapid ribosomal RNA prediction
 Barrnap (BAsic Rapid Ribosomal RNA Predictor) predicts the location of
 ribosomal RNA genes in genomes. It supports bacteria (5S,23S,16S), archaea
 (5S,5.8S,23S,16S), mitochondria (12S,16S) and eukaryotes (5S,5.8S,28S,18S).
 .
 It takes FASTA DNA sequence as input, and writes GFF3 as output. It uses the
 NHMMER tool that comes with HMMER 3.1 for HMM searching in RNA:DNA style.
 Multithreading is supported and one can expect roughly linear speed-ups
 with more CPUs.

=== debian/rules ===
--- 
+++ 
@@ -2,9 +2,9 @@
 # -*- makefile -*-
 
 DH_VERBOSE=1
-DEBVERS := $(shell dpkg-parsechangelog | sed -n -e 's/^Version: //p')
-VERSION := $(shell echo '$(DEBVERS)' | sed -e 's/^[[:digit:]]*://' -e 's/[~-].*//')
-OVERSION := $(shell echo '$(DEBVERS)' | sed -e 's/^[[:digit:]]*://' -e 's/[+].*//')
+include /usr/share/dpkg/default.mk
+VERSION := $(shell echo '$(DEB_VERSION)' | sed -e 's/^[[:digit:]]*://' -e 's/[~-].*//')
+OVERSION := $(shell echo '$(DEB_VERSION)' | sed -e 's/^[[:digit:]]*://' -e 's/[+].*//')
 
 %:
 	dh $@
@@ -15,11 +15,9 @@
 override_dh_auto_install:
 	# pass
 
-override_dh_auto_clean:
+FIXME_override_dh_auto_clean: # This does not work :-(
 	rm -rf db/free
 
-get-orig-source:
-	uscan --verbose --force-download --repack --compression xz --destdir=..
 	unxz ../barrnap_$(OVERSION).orig.tar.xz
 	mkdir -p debian/repack-tmp
 	tar xf ../barrnap_$(OVERSION).orig.tar -C debian/repack-tmp

=== debian/tests/control ===
Tests: test-example
Depends: @
Restrictions: allow-stderr
# Depends hmmer, which is available on the following architectures
Architecture: any-amd64 any-i386 powerpc ppc64 x32

## barrnap 1.0.0

=== debian/changelog ===
barrnap (1.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Drop patches replacing databases: we now have free ones.
  * Add manual page autogeneration.
  * Remove any Files-Excluded directives from d/copyright.
  * Bump Standards-Version.

 -- Sascha Steinbiss <satta@debian.org>  Sat, 21 Feb 2026 15:02:38 +0100

barrnap (0.9+dfsg-4) unstable; urgency=medium

  * Team upload.
  * d/patches/use_both_hmmsets: not needed since before 0.7+dfsg-1
  * d/tests/control: hmmer is now available on arm64/armhf; test there
    as well.
  * d/patches/update_dbs: refresh the databases using the latest SILVA
    database which is DFSG compliant (CC-BY-4.0).
  * d/copyright: document the provenance and licensing for
    d/patches/update_dbs; update homepage URL
  * d/patches/use_debian_dirs: document author, no need to forward upstream

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 16 Sep 2023 16:36:40 +0200

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,11 @@
 Section: science
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
+               help2man,
                hmmer,
                lua5.1,
                bedtools
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/med-team/barrnap
 Vcs-Git: https://salsa.debian.org/med-team/barrnap.git
 Homepage: http://www.vicbioinformatics.com/software.barrnap.shtml

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

DH_VERBOSE=1
include /usr/share/dpkg/default.mk

%:
	dh $@

override_dh_auto_build:
	mkdir -p debian/man
	help2man --no-discard-stderr --no-info --name="Predict location of ribosomal RNA genes in genomes" bin/barrnap > debian/man/barrnap.1

override_dh_auto_clean:
	rm -rf debian/man

override_dh_auto_install:
	# pass
